net.snowflake.client.jdbc

## Class SnowflakeTimestampWithTimezone

- java.lang.Object
- - java.util.Date
  - - java.sql.Timestamp
    - - net.snowflake.client.jdbc.SnowflakeTimestampWithTimezone

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

    public class SnowflakeTimestampWithTimezone
    extends Timestamp

Timestamp with toString() overridden to display timestamp in session timezone. The default timezone is UTC if no timezone is specified.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeTimestampWithTimezone(long seconds, int nanoseconds, TimeZone timezone)`
`SnowflakeTimestampWithTimezone(Timestamp ts)`
`SnowflakeTimestampWithTimezone(Timestamp ts, TimeZone timezone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string representation in UTC

### Methods inherited from class java.sql.Timestamp

`after, before, compareTo, compareTo, equals, equals, from, getNanos, getTime, hashCode, setNanos, setTime, toInstant, toLocalDateTime, valueOf, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTimezoneOffset, getYear, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeTimestampWithTimezone

    public SnowflakeTimestampWithTimezone(long seconds,
                                          int nanoseconds,
                                          TimeZone timezone)

#### SnowflakeTimestampWithTimezone

    public SnowflakeTimestampWithTimezone(Timestamp ts,
                                          TimeZone timezone)

#### SnowflakeTimestampWithTimezone

    public SnowflakeTimestampWithTimezone(Timestamp ts)

### Method Detail

#### toString

    public String toString()

Returns a string representation in UTC

Overrides:
  `toString` in class `Timestamp`
Returns:
  a string representation of the object